Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Don't require assets group in production by default, you can change t…

…his default in the application.rb anyways
  • Loading branch information...
commit ab6b61e34c046da944d9b517876a032fe3d0a8a1 1 parent a9b2634
@spastorino spastorino authored fxn committed
View
10 railties/lib/rails/generators/rails/app/templates/config/application.rb
@@ -13,9 +13,13 @@
<% end -%>
# If you have a Gemfile, require the default gems, the ones in the
-# current environment and also include :assets gems if in development
-# or test environments.
-Bundler.require *Rails.groups(:assets) if defined?(Bundler)
+# current environment and also include :assets gems if you ...
+if defined?(Bundler)
+ # ... precompile your assets
+ Bundler.require *Rails.groups(:assets => %w(development test))
+ # ... want your assets to be lazily compiled also in production
+ # Bundler.require(:default, :assets, Rails.env)
+end
module <%= app_const_base %>
class Application < Rails::Application
Please sign in to comment.
Something went wrong with that request. Please try again.